## org.apache.poi.ss.usermodel
Interface Chart

All Superinterfaces:
  ManuallyPositionable

All Known Implementing Classes:
  XSSFChart

    public interface Chart

extends ManuallyPositionable

High level representation of a chart.

Author:
  Roman Kashitsyn

Method Summary
`void` `deleteLegend()` Delete current chart legend.
`java.util.List<? extends ChartAxis>` `getAxis()`
`ChartAxisFactory` `getChartAxisFactory()`
`ChartDataFactory` `getChartDataFactory()`
`ChartLegend` `getOrCreateLegend()`
`void` `plot(ChartData data, ChartAxis... axis)` Plots specified data on the chart.

Methods inherited from interface org.apache.poi.ss.usermodel.charts.ManuallyPositionable
`getManualLayout`

Method Detail

### getChartDataFactory

    ChartDataFactory getChartDataFactory()

  Returns:
    an appropriate ChartDataFactory implementation

### getChartAxisFactory

    ChartAxisFactory getChartAxisFactory()

  Returns:
    an appropriate ChartAxisFactory implementation

### getOrCreateLegend

    ChartLegend getOrCreateLegend()

  Returns:
    chart legend instance

### deleteLegend

    void deleteLegend()

  Delete current chart legend.

### getAxis

    java.util.List<? extends ChartAxis> getAxis()

  Returns:
    list of all chart axis

### plot

    void plot(ChartData data,
              ChartAxis... axis)

  Plots specified data on the chart.

  Parameters:
    `data` - a data to plot

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.